/*******************************************************************
	      Function Prototypes for CS480 Hand Simulator
********************************************************************
    Author: Stan Sclaroff
      Date: October 2, 2006
  Comments: Feel free to modify this file for your assignment.
********************************************************************/

/* callbacks.c */
void reshape(int width, int height);
void display(void);
void keyboard(unsigned char key, int x, int y);
void special(int k, int x, int y);
void mouseMotion(int x, int y);
void mouseButton(int button, int state, int x, int y);

/* hand.c */
int drawHandObject(handType *t);
handType *createHand(float scale);
void toggleFinger(handType *h, int);
void selectRotationAxis(handType *h, int axis);
void selectJoint(handType *h, int);
void incrementAngle(handType *hand, float delta);

/* quaternion.c */
void quaternion_multiply(float *out_q, float *q1, float *q2);
void quaternion_to_matrix(float q[4],float M[4][4]);
void quaternion_normalize(float q[4]);

/* materials.c */
void changeGLMaterial(int i);
void setMaterialColor(int i, float r, float g, float b, float a);
void initMaterials(void);
